Confirm Order
Confirm order by submitting payment details
Endpoint
Section titled “Endpoint”POST /v1/confirm-order
Confirms a draft order by submitting payment details. This is the step that moves
an order from draft to paid and triggers issuance.
Body Parameters
Section titled “Body Parameters”| Name | Type | Required | Description |
|---|---|---|---|
id |
string |
yes | Order ID |
payment |
object |
yes | Payment details |
Note: You can only confirm (pay) orders with
draftstatus. Order should be paid before 23:59:59 (EEST) on the same day. At the end of the day, alldraftorders are automatically expired and updated withexpiredstatus.
Payment Parameters
Section titled “Payment Parameters”| Name | Type | Required | Description |
|---|---|---|---|
receipt_id |
string |
yes | Receipt ID, shown on customer’s receipt e.g. RRN |
transaction_id |
string |
yes | Transaction ID |
paid_at |
number |
yes | Payment date, unix timestamp in milliseconds (13 digits) |
amount |
number |
yes | Amount |
currency |
string |
no | Currency code (default "MDL") |
pos_id |
string |
no | POS ID |
Request Body Examples
Section titled “Request Body Examples”{ "id": "EUV001002ABC", "payment": { "receipt_id": "1234567890", "transaction_id": "1234567890", "paid_at": 1730419200000, // 13 digits unix timestamp "amount": 179.15, "currency": "MDL", "pos_id": "terminal001" }}Response Body Examples
Section titled “Response Body Examples”{ "id": "EUV001002ABC", "status": "paid", "description": "Vinietă Europa, BG, 7 zile, BMW X7 ISG313", "start_date": "2026-06-10", "end_date": "2026-06-16", "price": 179.15, "currency": "MDL"}Status Codes
Section titled “Status Codes”| Code | Description |
|---|---|
200 |
Order paid |
400 |
Bad request |
401 |
Unauthorized |
403 |
Forbidden |
500 |
Internal server error |